 # load the signal toolbox
  pkg load signal
  
# read the FRD [freq, mag, phase] , assumes no leading header
  frd = dlmread ('DC28F.frd')

# convert freq from Hz to angular rad/s 
  F=2*pi*frd(:,1);

# convert from dB+deg to mag+rads
  r=10.^(frd(:,2)./20);     
  theta=deg2rad(frd(:,3));
  
# create complex vector from mag+rads
  X=(pol2cart (theta, r))
  H=complex(X(:,1),X(:,2))
 
# S-domain (sames as FRD) fit polynomial to data 
  nB=2;
  nA=2;
  [sB,sA] = invfreqs(H,F,nB,nA)
  
# Z-domain transform S-domain for EQapo
  T=1/48e3;
  [zB, zA] = bilinear (sB, sA, T)
  coeff(1,:)=[zB]
  coeff(2,:)=[zA]
  
# output the vector to a file
  dlmwrite('coefficients.txt',coeff,' ',"newline","pc")
  
 

  